module Debate.Arguments.Nutrition.Malondialdehyde exposing (..)

import Debate.Types exposing (..)


argumentMalondialdehyde : Argument
argumentMalondialdehyde =
    { argumentTitle = "Title"
    , propositionTitle = "Proposition"
    , propositionSummary = "Summary"
    , definitionTable =
        [ { definiendum = "C(x)"
          , definiens = "prop 1"
          }
        , { definiendum = "B(x)"
          , definiens = "prop 2"
          }
        , { definiendum = "D(x)"
          , definiens = "prop 3"
          }
        , { definiendum = "S(x)"
          , definiens = "prop 4"
          }
        , { definiendum = "A(x)"
          , definiens = "prop 5"
          }
        , { definiendum = "r"
          , definiens = "variable 1"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "premise 1"
                  , notation = "(∀x(Cx↔Bx))"
                  }
                , { premise = "premise 2"
                  , notation = "(∀x(¬Cx→Dx))"
                  }
                , { premise = "premise 3"
                  , notation = "(¬Cr)"
                  }
                , { premise = "premise 4"
                  , notation = "(¬Br∧Dr→Sr)"
                  }
                , { premise = "premise 5"
                  , notation = "(Sr→Ar)"
                  }
                ]
          , conclusion = "conclusion"
          , conclusionNotation = "(∴Ar)"
          }
        ]
    }
